Bug 819443 - get "undefined method `result='" when trying to create a medium gear size app with non-VIP user
get "undefined method `result='" when trying to create a medium gear size app...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Krishna Raman
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 05:33 EDT by Meng Bo
Modified: 2015-05-14 21:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 13:22:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-05-07 05:33:39 EDT
Description of problem:
setup a single node devenv, and set the node profile is small, then try to create app with medium gear size from cli by using '-g medium' option.

Version-Release number of selected component (if applicable):
devenv_1757
rhc-0.92.5

How reproducible:
always

Steps to Reproduce:
1.setup a devenv_1757 and leave all settings default
2.create domain with normal user
3.try to create medium gear size app
rhc app create -a app1 -t php-5.3 -g medium
  
Actual results:
get the following message:
undefined method `result=' for #<ResultIO:0x7f45c3b85cd0>

Expected results:
some warning like,"VIP user required" should return.

Additional info:

[root@localhost client]# rhc app create -a app2 -t php-5.3 -g medium -d
Password: 
Submitting form:
rhlogin: bmeng+auto1@redhat.com
debug: true
Contacting https:xxx
Creating application: app2 in bmengauto1
Contacting https:xxx
Problem reported from server. Response code was 500.

DEBUG:
undefined method `result=' for #<ResultIO:0x7f45c37bc860>/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.10.2/lib/stickshift-controller/app/controllers/legacy_broker_controller.rb:254:in `cartridge_post'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/base.rb:150:in `process_action'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/rendering.rb:11:in `process_action'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/callbacks.rb:18:in `process_action'

Exit Code: 1
api_c: placeholder
broker_c: namespacerhloginsshapp_uuiddebugaltercartridgecart_typeactionapp_nameapi
API version:    1.1.3

RESULT:
undefined method `result=' for #<ResultIO:0x7f45c37bc860>
Comment 1 Krishna Raman 2012-05-07 14:22:49 EDT
https://github.com/openshift/crankcase/pull/23
Comment 2 Meng Bo 2012-05-08 06:04:37 EDT
verified on devenv_1761,
issue has been fixed.

Note You need to log in before you can comment on or make changes to this bug.